<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CerereAchizitie.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">CerereAchizitie.java</span></div><h1>CerereAchizitie.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

import java.io.Serializable;
import java.util.Objects;

/**
 * A CerereAchizitie.
 */
@Entity
@Table(name = &quot;cerere_achizitie&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L19">public class CerereAchizitie implements Serializable {</span>

    private static final long serialVersionUID = 1L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    private Long id;

    @Column(name = &quot;nume_departament&quot;)
    private String numeDepartament;

    @Column(name = &quot;nume_solicitant&quot;)
    private String numeSolicitant;

    @Column(name = &quot;prenume_solicitant&quot;)
    private String prenumeSolicitant;

    @Column(name = &quot;produs&quot;)
    private String produs;

    @Column(name = &quot;descriere_produs&quot;)
    private String descriereProdus;

    @Column(name = &quot;categorie_produs&quot;)
    private String categorieProdus;

    @Column(name = &quot;numar_produse&quot;)
    private String numarProduse;

    @Column(name = &quot;nume_manager&quot;)
    private String numeManager;

    @Column(name = &quot;prenume_manager&quot;)
    private String prenumeManager;

    @OneToOne
    @JoinColumn(unique = true)
    private Departament departament;

    @OneToOne
    @JoinColumn(unique = true)
    private Angajat angajat;

    @ManyToOne
    @JsonIgnoreProperties(&quot;cerereAchizities&quot;)
    private User user;

    // jhipster-needle-entity-add-field - JHipster will add fields here, do not remove
    public Long getId() {
<span class="fc" id="L69">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L73">        this.id = id;</span>
<span class="fc" id="L74">    }</span>

    public String getNumeDepartament() {
<span class="fc" id="L77">        return numeDepartament;</span>
    }

    public CerereAchizitie numeDepartament(String numeDepartament) {
<span class="fc" id="L81">        this.numeDepartament = numeDepartament;</span>
<span class="fc" id="L82">        return this;</span>
    }

    public void setNumeDepartament(String numeDepartament) {
<span class="fc" id="L86">        this.numeDepartament = numeDepartament;</span>
<span class="fc" id="L87">    }</span>

    public String getNumeSolicitant() {
<span class="fc" id="L90">        return numeSolicitant;</span>
    }

    public CerereAchizitie numeSolicitant(String numeSolicitant) {
<span class="fc" id="L94">        this.numeSolicitant = numeSolicitant;</span>
<span class="fc" id="L95">        return this;</span>
    }

    public void setNumeSolicitant(String numeSolicitant) {
<span class="fc" id="L99">        this.numeSolicitant = numeSolicitant;</span>
<span class="fc" id="L100">    }</span>

    public String getPrenumeSolicitant() {
<span class="fc" id="L103">        return prenumeSolicitant;</span>
    }

    public CerereAchizitie prenumeSolicitant(String prenumeSolicitant) {
<span class="fc" id="L107">        this.prenumeSolicitant = prenumeSolicitant;</span>
<span class="fc" id="L108">        return this;</span>
    }

    public void setPrenumeSolicitant(String prenumeSolicitant) {
<span class="fc" id="L112">        this.prenumeSolicitant = prenumeSolicitant;</span>
<span class="fc" id="L113">    }</span>

    public String getProdus() {
<span class="fc" id="L116">        return produs;</span>
    }

    public CerereAchizitie produs(String produs) {
<span class="fc" id="L120">        this.produs = produs;</span>
<span class="fc" id="L121">        return this;</span>
    }

    public void setProdus(String produs) {
<span class="fc" id="L125">        this.produs = produs;</span>
<span class="fc" id="L126">    }</span>

    public String getDescriereProdus() {
<span class="fc" id="L129">        return descriereProdus;</span>
    }

    public CerereAchizitie descriereProdus(String descriereProdus) {
<span class="fc" id="L133">        this.descriereProdus = descriereProdus;</span>
<span class="fc" id="L134">        return this;</span>
    }

    public void setDescriereProdus(String descriereProdus) {
<span class="fc" id="L138">        this.descriereProdus = descriereProdus;</span>
<span class="fc" id="L139">    }</span>

    public String getCategorieProdus() {
<span class="fc" id="L142">        return categorieProdus;</span>
    }

    public CerereAchizitie categorieProdus(String categorieProdus) {
<span class="fc" id="L146">        this.categorieProdus = categorieProdus;</span>
<span class="fc" id="L147">        return this;</span>
    }

    public void setCategorieProdus(String categorieProdus) {
<span class="fc" id="L151">        this.categorieProdus = categorieProdus;</span>
<span class="fc" id="L152">    }</span>

    public String getNumarProduse() {
<span class="fc" id="L155">        return numarProduse;</span>
    }

    public CerereAchizitie numarProduse(String numarProduse) {
<span class="fc" id="L159">        this.numarProduse = numarProduse;</span>
<span class="fc" id="L160">        return this;</span>
    }

    public void setNumarProduse(String numarProduse) {
<span class="fc" id="L164">        this.numarProduse = numarProduse;</span>
<span class="fc" id="L165">    }</span>

    public String getNumeManager() {
<span class="fc" id="L168">        return numeManager;</span>
    }

    public CerereAchizitie numeManager(String numeManager) {
<span class="fc" id="L172">        this.numeManager = numeManager;</span>
<span class="fc" id="L173">        return this;</span>
    }

    public void setNumeManager(String numeManager) {
<span class="fc" id="L177">        this.numeManager = numeManager;</span>
<span class="fc" id="L178">    }</span>

    public String getPrenumeManager() {
<span class="fc" id="L181">        return prenumeManager;</span>
    }

    public CerereAchizitie prenumeManager(String prenumeManager) {
<span class="fc" id="L185">        this.prenumeManager = prenumeManager;</span>
<span class="fc" id="L186">        return this;</span>
    }

    public void setPrenumeManager(String prenumeManager) {
<span class="fc" id="L190">        this.prenumeManager = prenumeManager;</span>
<span class="fc" id="L191">    }</span>

    public Departament getDepartament() {
<span class="fc" id="L194">        return departament;</span>
    }

    public CerereAchizitie departament(Departament departament) {
<span class="nc" id="L198">        this.departament = departament;</span>
<span class="nc" id="L199">        return this;</span>
    }

    public void setDepartament(Departament departament) {
<span class="nc" id="L203">        this.departament = departament;</span>
<span class="nc" id="L204">    }</span>

    public Angajat getAngajat() {
<span class="fc" id="L207">        return angajat;</span>
    }

    public CerereAchizitie angajat(Angajat angajat) {
<span class="nc" id="L211">        this.angajat = angajat;</span>
<span class="nc" id="L212">        return this;</span>
    }

    public void setAngajat(Angajat angajat) {
<span class="nc" id="L216">        this.angajat = angajat;</span>
<span class="nc" id="L217">    }</span>

    public User getUser() {
<span class="fc" id="L220">        return user;</span>
    }

    public CerereAchizitie user(User user) {
<span class="nc" id="L224">        this.user = user;</span>
<span class="nc" id="L225">        return this;</span>
    }

    public void setUser(User user) {
<span class="nc" id="L229">        this.user = user;</span>
<span class="nc" id="L230">    }</span>
    // jhipster-needle-entity-add-getters-setters - JHipster will add getters and setters here, do not remove

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L235" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L236">            return true;</span>
        }
<span class="fc bfc" id="L238" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L239">            return false;</span>
        }
<span class="fc" id="L241">        CerereAchizitie cerereAchizitie = (CerereAchizitie) o;</span>
<span class="fc bfc" id="L242" title="All 4 branches covered.">        if (cerereAchizitie.getId() == null || getId() == null) {</span>
<span class="fc" id="L243">            return false;</span>
        }
<span class="fc" id="L245">        return Objects.equals(getId(), cerereAchizitie.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L250">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L255">        return &quot;CerereAchizitie{&quot; +</span>
<span class="fc" id="L256">            &quot;id=&quot; + getId() +</span>
<span class="fc" id="L257">            &quot;, numeDepartament='&quot; + getNumeDepartament() + &quot;'&quot; +</span>
<span class="fc" id="L258">            &quot;, numeSolicitant='&quot; + getNumeSolicitant() + &quot;'&quot; +</span>
<span class="fc" id="L259">            &quot;, prenumeSolicitant='&quot; + getPrenumeSolicitant() + &quot;'&quot; +</span>
<span class="fc" id="L260">            &quot;, produs='&quot; + getProdus() + &quot;'&quot; +</span>
<span class="fc" id="L261">            &quot;, descriereProdus='&quot; + getDescriereProdus() + &quot;'&quot; +</span>
<span class="fc" id="L262">            &quot;, categorieProdus='&quot; + getCategorieProdus() + &quot;'&quot; +</span>
<span class="fc" id="L263">            &quot;, numarProduse='&quot; + getNumarProduse() + &quot;'&quot; +</span>
<span class="fc" id="L264">            &quot;, numeManager='&quot; + getNumeManager() + &quot;'&quot; +</span>
<span class="fc" id="L265">            &quot;, prenumeManager='&quot; + getPrenumeManager() + &quot;'&quot; +</span>
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>